{% extends 'base.html' %}

{% block title %}
Things to Do
{% endblock title %}

{% block content %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>
    <main>
        <div>
            <h1>My Lists</h1>
        </div>
        <div><a href="{% url 'todo_create_list' %}">Create a List</a></div>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of items</th>
                </tr>
            </thead>
            <tbody>
                {% for todo_lists in todo_list_list.all %}
                <tr>
                    <td>
                        <a href="{% url 'todo_list_detail' todo_lists.id %}">{{ todo_lists.name }}</a>
                    </td>
                    <td>
                        {{ todo_lists.items.all|length }}
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>
</html>
{% endblock content %}